Index: src/java/org/jivesoftware/openfire/muc/MultiUserChatService.java
===================================================================
--- src/java/org/jivesoftware/openfire/muc/MultiUserChatService.java	(revision 10989)
+++ src/java/org/jivesoftware/openfire/muc/MultiUserChatService.java	(working copy)
@@ -248,6 +248,15 @@
     void removeChatRoom(String roomName);
 
     /**
+     * Obtain a chat user by XMPPAddress.
+     *
+     * @param userjid The XMPPAddress of the user.
+     * @param roomName name of the room to receive the packet.
+     * @return The chatuser corresponding to that XMPPAddress.
+     */
+    public MUCUser getChatUser(JID userjid, String roomName);
+
+    /**
      * Returns the list of {@link org.jivesoftware.openfire.muc.MUCRole} in all rooms for the specified
      * user's session. When running in a cluster the list will include
      * {@link org.jivesoftware.openfire.muc.spi.LocalMUCRole} and {@link org.jivesoftware.openfire.muc.spi.RemoteMUCRole}.
Index: src/java/org/jivesoftware/openfire/muc/spi/MultiUserChatServiceImpl.java
===================================================================
--- src/java/org/jivesoftware/openfire/muc/spi/MultiUserChatServiceImpl.java	(revision 10989)
+++ src/java/org/jivesoftware/openfire/muc/spi/MultiUserChatServiceImpl.java	(working copy)
@@ -645,7 +645,7 @@
      * @param roomName name of the room to receive the packet.
      * @return The chatuser corresponding to that XMPPAddress.
      */
-    private MUCUser getChatUser(JID userjid, String roomName) {
+    public MUCUser getChatUser(JID userjid, String roomName) {
         if (router == null) {
             throw new IllegalStateException("Not initialized");
         }
